

using System;
using System.Collections.Generic;
using System.Data;
using System.Text;

namespace JTC.MiniCommerce.Core {

  public partial class LogController {

    #region Methods
    
    #region Public

    /// <summary>
    /// Deletes all logs.
    /// </summary>
    public static void DeleteAllLogs() {
      SPs.DeleteAllLogs().Execute();
    }
    
    public LogCollection FetchAllLogs() {
      IDataReader reader = SPs.FetchAllLogs().GetReader();
      LogCollection logCollection = new LogCollection();
      logCollection.LoadAndCloseReader(reader);
      return logCollection;
    }
    
    #endregion
    
    #endregion
    
  }
}
