

using System;
using System.Collections.Generic;
using System.Text;

namespace JTC.MiniCommerce.Store {
  public partial class AttributeItem {

    #region Properties

    /// <summary>
    /// Gets the formatted amount.
    /// </summary>
    /// <value>The formatted amount.</value>
    public string FormattedAmount {
      get {
        string formattedAmount = this.Name;
        if(this.Adjustment != 0) {
          if(this.Adjustment > 0){
            formattedAmount += " + " + StoreUtility.GetFormattedAmount(this.Adjustment, true);
          }
        }
        return formattedAmount;
      }
    }
	
	  #endregion
	  
  }
}
