

using System;
using System.Collections.Generic;
using System.Text;

namespace JTC.MiniCommerce.Store.Services.PaymentService.PayPal {
  [Serializable]
  public class PayPalServiceException : Exception {
  
    #region Constructors

    /// <summary>
    /// Initializes a new instance of the <see cref="T:PayPalServiceException"/> class.
    /// </summary>
    public PayPalServiceException()
      : base() {
    }

    /// <summary>
    /// Initializes a new instance of the <see cref="T:PayPalServiceException"/> class.
    /// </summary>
    /// <param name="message">The message.</param>
    public PayPalServiceException(string message)
      : base(message) {
    }

    /// <summary>
    /// Initializes a new instance of the <see cref="T:PayPalServiceException"/> class.
    /// </summary>
    /// <param name="message">The message.</param>
    /// <param name="innerException">The inner exception.</param>
    public PayPalServiceException(string message, Exception innerException)
      : base(message, innerException) {
    }
    
    #endregion
    
  }
}