

using System;
using System.Collections.Generic;
using System.Text;

namespace JTC.MiniCommerce.Store.Services.ShippingService {
  public class ShippingOptionCollection : List<ShippingOption> {

    #region Methods
    
    #region Public

    /// <summary>
    /// Adds the specified shipping option collection.
    /// </summary>
    /// <param name="shippingOptionCollection">The shipping option collection.</param>
    public void Add(ShippingOptionCollection shippingOptionCollection) {
      foreach(ShippingOption shippingOption in shippingOptionCollection) {
        this.Add(shippingOption);
      }
    }
    
    #endregion
    
    #endregion
    
  }
}
