

using System;
using System.Collections.Generic;
using System.Text;

using JTC.MiniCommerce.Store.Web.Controls;

namespace JTC.MiniCommerce.Store.Web {
  public partial class AdminMasterPage : MiniCommerceMasterPage {
  
    #region Member Variables

    private MessageCenter _messageCenter;

    #endregion
    
    #region Constructors

    /// <summary>
    /// Initializes a new instance of the <see cref="T:AdminMasterPage"/> class.
    /// </summary>
    public AdminMasterPage() {
      _messageCenter = new MessageCenter();
    }
    
    #endregion

    #region Properties

    /// <summary>
    /// Gets or sets the message center.
    /// </summary>
    /// <value>The message center.</value>
    public MessageCenter MessageCenter {
      get {
        return _messageCenter;
      }
      set {
        _messageCenter = value;
      }
    }
    
    #endregion
    
  }
}
