

using System;
using System.Collections.Generic;
using System.Text;

using System.Web.UI.WebControls;
using JTC.MiniCommerce.Store.Web.Controls;

namespace JTC.MiniCommerce.Store.Web {
  public partial class MiniCommerceMasterPage : System.Web.UI.MasterPage {
  
    #region Page Events
    
    /// <summary>
    /// Raises the <see cref="E:System.Web.UI.Control.Init"></see> event.
    /// </summary>
    /// <param name="e">An <see cref="T:System.EventArgs"></see> object that contains the event data.</param>
    protected override void OnInit(EventArgs e) {
      PlaceHolder placeHolder = this.FindControl("phFooter") as PlaceHolder;
      if (placeHolder != null) {
        HyperLink hlpwdby = new HyperLink();
        hlpwdby.Text = "Soportado por MiniCommerce";
				hlpwdby.NavigateUrl = "http://www.codeplex.com/minicommerce";
        hlpwdby.CssClass = "smallleft";

				//HyperLink hlcopy = new HyperLink();
				//hlcopy.Text = string.Format("Copyright &copy; 2007 - {0} Mettle Systems LLC", DateTime.Now.Year);
				//hlcopy.NavigateUrl = "http://www.minicommerce.com.ar";
				//hlcopy.CssClass = "smallright";

        placeHolder.Controls.Add(hlpwdby);
				//placeHolder.Controls.Add(hlcopy);
      }
      base.OnInit(e);
    }
    
    #endregion

  }
}
