<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="paypalproconfiguration.ascx.cs" Inherits="JTC.MiniCommerce.Web.admin.controls.configuration.paymentproviders.paypalproconfiguration" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>

<asp:Panel ID="pnlSettings" runat="server">
  <br />
  <asp:Panel ID="pnlDescriptionTitle" runat="server" CssClass="accordionHeaderGray">
    <div class="cpeTitle">
      <asp:Label ID="lblDescriptionTitle" runat="server" />
    </div>
    <div class="cpeImage">
      <asp:Image ID="imgToggle" runat="server" />
    </div>
  </asp:Panel>
  <asp:Panel ID="pnlDescription" runat="server">
    <br />
    <asp:Literal ID="ltDescription" runat="server" />
  </asp:Panel>
  <asp:CollapsiblePanelExtender ID="cpeDescription" runat="server"  TargetControlID="pnlDescription" ExpandControlID="pnlDescriptionTitle" CollapseControlID="pnlDescriptionTitle" ImageControlID="imgToggle" ExpandDirection="Vertical" Collapsed="true" SkinID="withImage"  />
  <br />
  <asp:Label ID="lblApiUserName" runat="server" CssClass="label" /><br />
  <asp:TextBox ID="txtApiUserName" runat="server" CssClass="longtextbox" />&nbsp;<asp:HyperLink ID="hlApiUserNameHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="imgApiUserNameHelp" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
  <asp:Label ID="lblApiPassword" runat="server" CssClass="label" /><br />
  <asp:TextBox ID="txtApiPassword" runat="server" CssClass="textbox" />&nbsp;<asp:HyperLink ID="hlApiPasswordHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image1" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
  <asp:Label ID="lblSignature" runat="server" CssClass="label" /><br />
  <asp:TextBox ID="txtSignature" runat="server" CssClass="textbox" Width="500px" />&nbsp;<asp:HyperLink ID="hlApiSignatureHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image2" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
  <asp:Label ID="lblIsLive" runat="server" CssClass="label" /><br />
  <asp:CheckBox ID="chkIsLive" runat="server" />&nbsp;<asp:HyperLink ID="hlIsLiveHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image3" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
  <asp:Button ID="btnSave" runat="server" CssClass="button" OnClick="btnSave_Click" />
  <asp:RequiredFieldValidator ID="rfvApiUserName" runat="server" Display="None" ControlToValidate="txtApiUserName"/>
  <asp:RequiredFieldValidator ID="rfvApiPassword" runat="server" Display="None" ControlToValidate="txtApiPassword"/>
  <asp:RequiredFieldValidator ID="rfvApiSignature" runat="server" Display="None" ControlToValidate="txtSignature"/>
</asp:Panel>
