<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="simpleweightconfiguration.ascx.cs" Inherits="JTC.MiniCommerce.Web.admin.controls.configuration.shippingproviders.simpleweightconfiguration" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="MiniCommerce" TagName="SimpleWeightNavigation" Src="~/admin/controls/navigation/simpleweightshippingprovider.ascx" %>
<MiniCommerce:SimpleWeightNavigation ID="dcSimpleWeightNavigation" runat="server" />
<asp:Panel ID="pnlConfiguration" runat="server">
  <asp:Panel ID="pnlSimpleWeightConfiguration" runat="server">
    <br />
    <asp:Panel ID="pnlDescriptionTitle" runat="server" CssClass="accordionHeaderGray">
      <div class="cpeTitle">
        <asp:Label ID="lblDescriptionTitle" runat="server" />
      </div>
      <div class="cpeImage">
        <asp:Image ID="imgToggle" runat="server" />
      </div>
    </asp:Panel>
    <asp:Panel ID="pnlDescription" runat="server">
      <br />
      <asp:Literal ID="ltDescription" runat="server" />
    </asp:Panel>
    <asp:CollapsiblePanelExtender ID="cpeDescription" runat="server"  TargetControlID="pnlDescription" ExpandControlID="pnlDescriptionTitle" CollapseControlID="pnlDescriptionTitle" ImageControlID="imgToggle" ExpandDirection="Vertical" Collapsed="true" CollapsedImage="~/App_Themes/MiniCommerce/images/icons/down.gif" ExpandedImage="~/App_Themes/MiniCommerce/images/icons/up.gif" />
    <br />
    <asp:Button ID="btnSave" runat="server" CssClass="button" OnClick="btnSave_Click" />
  </asp:Panel><br />
</asp:Panel>
<asp:Panel ID="pnlData" runat="server" Visible="false">
  <asp:Panel ID="pnlAddService" runat="server">
    <br />
    <asp:Label ID="lblService" runat="server" CssClass="label" /><br />
    <asp:TextBox ID="txtService" runat="server" CssClass="textbox" />&nbsp;<asp:HyperLink ID="hlSimpleWeightServiceHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image1" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
    <asp:Label ID="lblAmountPerUnit" runat="server" CssClass="label" /><br />
    <asp:TextBox ID="txtAmountPerUnit" runat="server" CssClass="textbox" />&nbsp;<asp:HyperLink ID="hlSimpleWeightAmountPerUnit" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image2" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
    <asp:Button ID="btnAdd" runat="server" CssClass="button" OnClick="btnAdd_Click" />
    <asp:RequiredFieldValidator ID="rfvService" runat="server" Display="None" ControlToValidate="txtService" />
    <asp:RequiredFieldValidator ID="rfvAmountPerUnit" runat="server" Display="None" ControlToValidate="txtAmountPerUnit" />
  </asp:Panel>
  <br />
  <asp:Panel ID="pnlAvailableServices" runat="server">
    <br />
    <asp:DataGrid ID="dgSimpleWeight" runat="server" AutoGenerateColumns="False" SkinID="adminDataGrid" OnPageIndexChanged="dgSimpleWeight_PageIndexChanged">
        <Columns>
          <asp:BoundColumn DataField="Service" />
          <asp:BoundColumn DataField="AmountPerUnit" DataFormatString="{0:n}" />
          <asp:TemplateColumn>
            <ItemTemplate>
              <asp:LinkButton ID="lbDelete" runat="server" CommandName="mydelete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ShippingRateId") %>' OnCommand="dgSimpleWeight_Delete" CausesValidation="false" />
            </ItemTemplate>
          </asp:TemplateColumn>
        </Columns>
    </asp:DataGrid>
  </asp:Panel>
</asp:Panel>