<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="regioncodeconfiguration.ascx.cs" Inherits="JTC.MiniCommerce.Web.admin.controls.configuration.taxproviders.regioncodeconfiguration" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="MiniCommerce" TagName="RegionCodeNavigation" Src="~/admin/controls/navigation/regioncode.ascx" %>
<MiniCommerce:RegionCodeNavigation ID="dcRegionCodeNavigation" runat="server" />
<asp:Panel ID="pnlRegionCodeConfiguration" runat="server">
  <br />
  <asp:Panel ID="pnlDescriptionTitle" runat="server" CssClass="accordionHeaderGray">
    <div class="cpeTitle">
      <asp:Label ID="lblDescriptionTitle" runat="server" />
    </div>
    <div class="cpeImage">
      <asp:Image ID="imgToggle" runat="server" />
    </div>
  </asp:Panel>
  <asp:Panel ID="pnlDescription" runat="server">
    <br />
    <asp:Literal ID="ltDescription" runat="server" />
  </asp:Panel>
  <asp:CollapsiblePanelExtender ID="cpeDescription" runat="server"  TargetControlID="pnlDescription" ExpandControlID="pnlDescriptionTitle" CollapseControlID="pnlDescriptionTitle" ImageControlID="imgToggle" ExpandDirection="Vertical" Collapsed="true" CollapsedImage="~/App_Themes/MiniCommerce/images/icons/down.gif" ExpandedImage="~/App_Themes/MiniCommerce/images/icons/up.gif" />
  <br />
  <asp:Label ID="lblDefaultRate" runat="server" /><br />
  <asp:TextBox ID="txtDefaultRate" runat="server" CssClass="textbox" />&nbsp;<asp:HyperLink ID="hlDefaultRateHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image1" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
  <asp:Button ID="btnSave" runat="server" CssClass="button" OnClick="btnSave_Click" />
</asp:Panel>
<asp:Panel ID="pnlRegionCodeData" runat="server" Visible="false">
    <asp:Panel ID="pnlAddRegionCode" runat="server">
      <asp:Label ID="lblRegionCode" runat="server" CssClass="label" /><br />
      <asp:TextBox ID="txtRegionCode" runat="server" CssClass="textbox" />&nbsp;<asp:HyperLink ID="hlRegionCodeHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image2" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
      <asp:Label ID="lblRate" runat="server" CssClass="label" /><br />
      <asp:TextBox ID="txtRate" runat="server" CssClass="textbox" />&nbsp;<asp:HyperLink ID="hlRateHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image3" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
      <asp:Button ID="btnAdd" runat="server" CssClass="button" OnClick="btnAdd_Click" />
      <asp:RequiredFieldValidator ID="rfvRegionCode" runat="server" Display="None" ControlToValidate="txtRegionCode" />
      <asp:RequiredFieldValidator ID="rfvRate" runat="server" Display="None" ControlToValidate="txtRate" />
    </asp:Panel>
    <br />
    <asp:Panel ID="pnlAvailableRegionCodes" runat="server">
    <asp:DataGrid ID="dgRegionCode" runat="server" AutoGenerateColumns="False" SkinId="adminDataGrid">
        <Columns>
          <asp:BoundColumn DataField="RegionCode" />
          <asp:BoundColumn DataField="Rate" DataFormatString="{0:n}" />
          <asp:TemplateColumn>
            <ItemTemplate>
              <asp:LinkButton ID="lbDelete" runat="server" CommandName="mydelete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "RateId") %>'  OnCommand="dgRegionCode_Delete" CausesValidation="false" />
            </ItemTemplate>
          </asp:TemplateColumn>
        </Columns>
    </asp:DataGrid>
    </asp:Panel>
</asp:Panel>