

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace JTC.MiniCommerce.Web.admin.controls.navigation {
  public partial class simpleweightshippingprovider : System.Web.UI.UserControl {
  
    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
      simpleWeightShippingProviderMenu.PreRender += new EventHandler(simpleWeightShippingProviderMenu_PreRender);
    }

    /// <summary>
    /// Handles the PreRender event of the simpleWeightShippingProviderMenu control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    void simpleWeightShippingProviderMenu_PreRender(object sender, EventArgs e) {
      if(simpleWeightShippingProviderMenu.SelectedItem == null) {
        simpleWeightShippingProviderMenu.Items[0].Selected = true;
      }
    }
    
    #endregion
    
  }
}