<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="transaction.ascx.cs" Inherits="JTC.MiniCommerce.Web.admin.controls.order.transaction" %>
<asp:Repeater ID="rptrTransactions" runat="server">
  <ItemTemplate>
    <strong><%# Eval("TransactionTypeDescriptor.Name") %>&nbsp;-&nbsp;<%# Eval("TransactionDate") %></strong><br />
    <asp:Label ID="lblTransactionId" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtTransactionId" runat="server" CssClass="label" Text='<%# Eval("TransactionId") %>' /><br />
    <asp:Label ID="lblTransactionType" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtTransactionType" runat="server" CssClass="label" Text='<%# Eval("TransactionTypeDescriptor.Name") %>' /><br />
    <asp:Label ID="lblPaymentMethod" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtPaymentMethod" runat="server" CssClass="label" Text='<%# Eval("PaymentMethod") %>' /><br />
    <asp:Label ID="lblGatewayName" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtGatewayName" runat="server" CssClass="label" Text='<%# Eval("GatewayName") %>' /><br />
    <asp:Label ID="lblGatewayResponse" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtGatewayResponse" runat="server" CssClass="label" Text='<%# Eval("GatewayResponse") %>' /><br />
    <asp:Label ID="lblGatewayTransactionId" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtGatewayTransactionId" runat="server" CssClass="label" Text='<%# Eval("GatewayTransactionId") %>' /><br />
    <asp:Label ID="lblAVSCode" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtAVSCode" runat="server" CssClass="label" Text='<%# Eval("AVSCode") %>' /><br />
    <asp:Label ID="lblCVV2Code" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtCVV2Code" runat="server" CssClass="label" Text='<%# Eval("CVV2Code") %>' /><br />
    <asp:Label ID="lblGrossAmount" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtGrossAmount" runat="server" CssClass="label" Text='<%# GetFormattedAmount(Eval("GrossAmount").ToString()) %>' /><br />
    <asp:Label ID="lblNetAmount" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtNetAmount" runat="server" CssClass="label" Text='<%# GetFormattedAmount(Eval("NetAmount").ToString()) %>' /><br />
    <asp:Label ID="lblFeeAmount" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtFeeAmount" runat="server" CssClass="label" Text='<%# GetFormattedAmount(Eval("FeeAmount").ToString()) %>' /><br />
    <asp:Label ID="lblTransactionDate" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtTransactionDate" runat="server" CssClass="label" Text='<%# Eval("TransactionDate") %>' /><br />
    <asp:Label ID="lblGatewayErrors" runat="server" CssClass="label" />&nbsp;<asp:Label ID="txtGatewayErrors" runat="server" CssClass="label" Text='<%# Eval("GatewayErrors") %>' /><br /><hr /><br />
  </ItemTemplate>
</asp:Repeater>