

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Localization;

namespace JTC.MiniCommerce.Web.admin.controls.overview {
  public partial class mail : System.Web.UI.UserControl {
    
    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
       SetMailProperties();
    }
    
    #endregion
    
    #region Methods
    
    #region Private

    /// <summary>
    /// Sets the mail properties.
    /// </summary>
    private void SetMailProperties() {
      LocalizationUtility.AddPanelText(pnlMailConfiguration);
      LocalizationUtility.AddHyperLinkText(hlNotifications);
      LocalizationUtility.AddLabelText(lblNotificationsDescription);
      LocalizationUtility.AddHyperLinkText(hlMailSettings);
      LocalizationUtility.AddLabelText(lblMailSettingsDescription);
    }
    
    #endregion
    
    #endregion
    
  }
}