<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="categories.ascx.cs" Inherits="JTC.MiniCommerce.Web.admin.controls.product.categories" %>
<asp:UpdatePanel ID="UpdatePanel1" runat="server">
  <ContentTemplate>
    <asp:Panel ID="pnlProductCategories" runat="server">
        <table id="categoryTable">
          <tr>
            <td>
              <asp:Panel ID="pnlCurrentCategories" runat="server">
                <asp:TreeView ID="tvCategory" runat="server" DataSourceID="xmlDataSource" ShowLines="true" OnSelectedNodeChanged="Add_Category" ExpandDepth="FullyExpand">
                  <DataBindings>
                    <asp:TreeNodeBinding DataMember="MenuItem" NavigateUrlField="NavigateUrl" TextField="Text" ValueField="Value" ToolTipField="ToolTip" />
                  </DataBindings>
                </asp:TreeView>
                <asp:XmlDataSource ID="xmlDataSource" TransformFile="~/transforms/categoryMenu.xslt" XPath="MenuItems/MenuItem" runat="server" />
              </asp:Panel>        
            </td>
            <td>
              <asp:Panel ID="pnlAssociatedCategories" runat="server">
                <asp:DataGrid ID="dgProductCategories" runat="server" AutoGenerateColumns="false" SkinID="adminDataGrid">
                  <HeaderStyle CssClass="adminTableHeader" />
                  <Columns>
                    <asp:BoundColumn DataField="Name" />
	                  <asp:TemplateColumn>
                      <ItemTemplate>
                        <asp:LinkButton ID="lbDelete" runat="server" CausesValidation="false" CommandName="myDelete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "CategoryId") %>' OnCommand="lbDelete_Click" />
                      </ItemTemplate>
                    </asp:TemplateColumn>
                  </Columns>
                </asp:DataGrid>
              </asp:Panel>
            </td>
          </tr>
        </table>
    </asp:Panel>
  </ContentTemplate>  
</asp:UpdatePanel>
