<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="descriptors.ascx.cs" Inherits="JTC.MiniCommerce.Web.admin.controls.product.descriptors" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajax" %>
<%@ Register TagPrefix="FCKeditorV2" Namespace="FredCK.FCKeditorV2" Assembly="FredCK.FCKeditorV2" %>
<asp:Panel ID="pnlProductDescriptors" runat="server">
   <asp:UpdatePanel ID="up" runat="server" UpdateMode="Always" >
      <ContentTemplate>      
        <asp:Panel ID="pnlGrid" runat="server">
          <asp:DataGrid ID="dgDescriptors" runat="server" AutoGenerateColumns="false" DataKeyField="DescriptorId" OnEditCommand="Edit_Descriptor" OnDeleteCommand="Delete_Descriptor" SkinId="adminDataGrid">
	          <HeaderStyle CssClass="adminTableHeader" />
	            <Columns>
	              <asp:TemplateColumn>
                  <ItemTemplate>
                    <asp:LinkButton ID="lbEdit" runat="server" CausesValidation="false" CommandName="Edit" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "DescriptorId") %>' />
                  </ItemTemplate>
                </asp:TemplateColumn>
	              <asp:TemplateColumn>
                  <ItemTemplate>
                    <asp:ImageButton ID="lbUp" runat="server" CausesValidation="false" CommandName="Up" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "DescriptorId") %>' OnClick="Items_ItemReorder" SkinID="up" /> 
                    <asp:ImageButton ID="lbDown" runat="server" CausesValidation="false" CommandName="Down" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "DescriptorId") %>' OnClick="Items_ItemReorder" SkinID="down" />
                  </ItemTemplate>
                </asp:TemplateColumn>
	              <asp:BoundColumn DataField="Title" />
                <asp:BoundColumn DataField="SortOrder" />                
	              <asp:TemplateColumn>
				          <ItemTemplate>
	                  <%# GetStrippedDescriptor(DataBinder.Eval(Container.DataItem, "DescriptorX").ToString()) %>
				          </ItemTemplate>
	              </asp:TemplateColumn>
	              <asp:TemplateColumn>
                  <ItemTemplate>
                    <asp:LinkButton ID="lbDelete" runat="server" CausesValidation="false" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "DescriptorId") %>' />
                  </ItemTemplate>
                </asp:TemplateColumn>
	            </Columns>
	        </asp:DataGrid>
          <br />
          <br />
        </asp:Panel>
        <asp:Label ID="lblDescriptorId" runat="server" Visible="false" />
        <asp:Label ID="lblTitle" runat="server" CssClass="label" /><br />
        <asp:TextBox ID="txtTitle" runat="server" CssClass="longtextbox" />&nbsp;<asp:HyperLink ID="hlDescriptorTitleHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image1" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
        <div class="verticalalign">
          <asp:Label ID="lblDescription" runat="server" CssClass="label" />&nbsp;<asp:HyperLink ID="hlDescriptorDescriptionHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image2" runat="server" SkinID="help" /></asp:HyperLink><br />
        </div>
        <FCKeditorV2:FCKeditor ID="txtDescriptor" BasePath="~/FCKeditor/" runat="server" Height="200"
         Width="100%" UseBROnCarriageReturn="true" ToolbarStartExpanded="false" /><br />
    </ContentTemplate>
  </asp:UpdatePanel>
    <asp:Button ID="btnSave" runat="server" CssClass="button" OnClick="btnSave_Click" />
    <asp:RequiredFieldValidator ID="rfvTitle" runat="server" Display="None" ControlToValidate="txtTitle" />
</asp:Panel>
  