<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="sku.ascx.cs" Inherits="JTC.MiniCommerce.Web.admin.controls.product.sku" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>

<asp:Panel ID="pnlSkuListing" runat="server">
  <br />
  <asp:Panel ID="pnlSkuList" runat="server">
    <asp:Label ID="lblSkuDescription" runat="server" CssClass="label" /><br/><br />
    <asp:Label ID="lblTotalSkuCountText" runat="server" CssClass="label" />&nbsp;<asp:Label ID="lblTotalSkuCount" runat="server" CssClass="label" /><br /><br />
    <asp:DataList ID="dlSkus" runat="server" RepeatColumns="3" RepeatDirection="Vertical" CssClass="adminTable">
      <ItemTemplate>
        <%# Container.DataItem.ToString() %>
      </ItemTemplate>
    </asp:DataList>
    <br />
    <asp:Button ID="btnSave" runat="server" CssClass="button" OnClick="btnSave_Click"/>  
  </asp:Panel>
  <asp:Panel ID="pnlSkuInventory" runat="server">
    <asp:CheckBox ID="chkAllowNegativeInventories" runat="server" />&nbsp;<asp:HyperLink ID="hlAllowNegativeInventoriesHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image2" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
    <asp:DataGrid ID="dgSkuInventory" runat="server" AutoGenerateColumns="false" DataKeyField="SkuId" SkinID="adminDataGridNoPage">
      <Columns>
        <asp:BoundColumn DataField="SkuX" />
        <asp:TemplateColumn>
          <ItemTemplate>
            <asp:TextBox ID="txtInventory" runat="server" CssClass="smalltextbox" Text='<%#Eval("Inventory") %>'/>
            <asp:FilteredTextBoxExtender ID="ftbeInventory" runat="server" TargetControlId="txtInventory" FilterType="Numbers" />
          </ItemTemplate>
        </asp:TemplateColumn>
      </Columns>
    </asp:DataGrid>
    <br />
    <asp:Button ID="btnSaveInventory" runat="server" CssClass="button" OnClick="btnSaveInventory_Click" />
  </asp:Panel>
</asp:Panel>
