

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Localization;
using JTC.MiniCommerce.Store;
using JTC.MiniCommerce.Web.admin.controls.configuration.paymentproviders;

namespace JTC.MiniCommerce.Web.admin {

  public partial class paymentconfiguration : System.Web.UI.Page {

    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
      dcProviderConfiguration.ProviderType = ProviderType.PaymentProvider;
      Page.Title = LocalizationUtility.GetText("titlePaymentConfiguration");
    }

    #endregion

  }
}
