<%@ Page Language="C#" MasterPageFile="~/admin/admin.master" AutoEventWireup="true" Codebehind="userlist.aspx.cs" Inherits="JTC.MiniCommerce.Web.admin.userlist" Title="Untitled Page" %>
<%@ MasterType VirtualPath="~/admin/admin.master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
  <div id="mainContentRegion">
    <div id="admin_centercontent">
      <div class="sectionHeader"><asp:Label ID="lblUserAdministration" runat="server" /></div><br />
      <asp:Panel ID="pnlUserSearch" runat="server">
        <asp:Label ID="lblSearchBy" runat="server" CssClass="label" /><br />
        <asp:DropDownList ID="ddlSearchBy" runat="server" CssClass="dropdownlist" />&nbsp;
        <asp:TextBox ID="txtSearchBy" runat="server" CssClass="textbox" />&nbsp;
        <asp:Button ID="btnSearch" runat="server" CssClass="button" OnClick="btnSearch_Click" />
      </asp:Panel>
      <br />
      <asp:Panel ID="pnlUserList" runat="server">
        <asp:Label ID="lblTotalUsers" runat="server" CssClass="label"/>&nbsp;
        <asp:Label ID="lblNumberOfTotalUsers" runat="server" CssClass="label"/>&nbsp;&nbsp;
        <asp:HyperLink ID="hlAddUser" runat="server" NavigateUrl="~/admin/useredit.aspx" CssClass="submodal-400-400" SkinID="addnew" /><br /><br />
        <asp:GridView ID="gvUserList" runat="server" AutoGenerateColumns="false" AllowPaging="true" OnPageIndexChanging="gvUserList_PageIndexChanging" SkinID="adminGridView">
          <Columns>
            <asp:TemplateField>
              <HeaderStyle HorizontalAlign="center" />
              <ItemStyle HorizontalAlign="center" />
              <ItemTemplate>
                <asp:CheckBox runat="server" ID="chkActive" OnCheckedChanged="EnabledChanged" 
                              AutoPostBack="true" Checked='<%#DataBinder.Eval(Container.DataItem, "IsApproved")%>' 
                              Value='<%#DataBinder.Eval(Container.DataItem, "UserName")%>' />
              </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
              <ItemTemplate>
               <asp:HyperLink ID="hlUserEdit" runat="server" 
                               NavigateUrl='<%# FormatEditUrl(DataBinder.Eval(Container.DataItem, "UserName").ToString()) %>' 
                               Text='<%# Eval("UserName") %>' CssClass="submodal-400-450"  />
              </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
              <ItemTemplate>
                <asp:HyperLink ID="EmailLink" runat="server" 
                               NavigateUrl='<%# Eval("Email", "mailto:{0}") %>' 
                               Text='<%# Eval("Email") %>' />
              </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="CreationDate" ReadOnly="True" SortExpression="CreationDate" />
            <asp:BoundField DataField="LastLoginDate" SortExpression="LastLoginDate" />
            <asp:TemplateField>
              <ItemStyle HorizontalAlign="center" />
              <ItemTemplate>
                <asp:LinkButton runat="server" ID="lbDelete" CommandName="mydelete"
                                CommandArgument='<%#DataBinder.Eval(Container.DataItem, "UserName")%>' 
                                OnCommand="lbDelete_Click" />
              </ItemTemplate>
            </asp:TemplateField>
          </Columns>
        </asp:GridView>
        <br />
        <asp:HyperLink ID="hlShowAll" runat="server" NavigateUrl="~/admin/userlist.aspx"
          SkinID="showAll" Visible="false" />
      </asp:Panel>
    </div>
  </div>
</asp:Content>
