<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="catalogList.ascx.cs" Inherits="JTC.MiniCommerce.Web.controls.catalogList" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<asp:DataList ID="dlCatalog" runat="server" SkinId="catalogList">
  <ItemTemplate>
    <div class="productBox">
      <div class="productImageContainer">
        <asp:HyperLink ID="hlImageLink" runat="server" NavigateUrl='<%# GetNavigateUrl(Eval("ProductId").ToString()) %>' SkinID="noDefaultImage" />
      </div>
      <asp:HyperLink ID="hlProduct" runat="server" NavigateUrl='<%# GetNavigateUrl(Eval("ProductId").ToString()) %>' Text='<%#Eval("Name") %>' CssClass="productName" /><br />
      <asp:Label ID="lblRetailPrice" runat="server" CssClass="retailPrice" /><asp:Label ID="lblOurPrice" runat="server" CssClass="ourPrice" /><br />
      <asp:Rating ID="ajaxRating" runat="server" SkinID="rating" ReadOnly="true" />
    </div>
  </ItemTemplate>
</asp:DataList>
