

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Localization;
using JTC.MiniCommerce.Store.Web.Controls;

namespace JTC.MiniCommerce.Web.install.controls {
  public partial class complete : AdminControl {
  
  
    protected void Page_Load(object sender, EventArgs e) {
      LocalizationUtility.AddPanelText(pnlComplete);
      LocalizationUtility.AddLabelText(lblCompleteInstructions);
      LocalizationUtility.AddButtonText(btnNext);

    }

    protected void btnNext_Click(object sender, EventArgs e) {
      try {
        Session["ConnectionString"] = string.Empty;
        Session.Abandon();
        Response.Redirect("~/login.aspx", true);
      }
      catch(Exception ex) {
        MasterPage.MessageCenter.DisplayCriticalMessage(LocalizationUtility.GetCriticalMessageText(ex.Message));
      }
    }
    
  }
}