IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product]') AND type in (N'U'))
DROP FULLTEXT INDEX ON [dbo].[MiniCommerce_Store_Product]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_ProductImages_MiniCommerce_Products]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Image]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Image] DROP CONSTRAINT [FK_MiniCommerce_ProductImages_MiniCommerce_Products]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Review_MiniCommerce_Store_Product]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Review]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Review] DROP CONSTRAINT [FK_MiniCommerce_Store_Review_MiniCommerce_Store_Product]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_ProductDescriptor_MiniCommerce_Store_Product]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Descriptor]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Descriptor] DROP CONSTRAINT [FK_MiniCommerce_Store_ProductDescriptor_MiniCommerce_Store_Product]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Sku_MiniCommerce_Store_Product]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Sku]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Sku] DROP CONSTRAINT [FK_MiniCommerce_Store_Sku_MiniCommerce_Store_Product]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_AttributeItem_MiniCommerce_Store_Attribute]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_AttributeItem]'))
ALTER TABLE [dbo].[MiniCommerce_Store_AttributeItem] DROP CONSTRAINT [FK_MiniCommerce_Store_AttributeItem_MiniCommerce_Store_Attribute]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_OrderNote_MiniCommerce_Store_Order]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_OrderNote]'))
ALTER TABLE [dbo].[MiniCommerce_Store_OrderNote] DROP CONSTRAINT [FK_MiniCommerce_Store_OrderNote_MiniCommerce_Store_Order]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_OrderTransactions_MiniCommerce_OrderTransactionTypes]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Transaction]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Transaction] DROP CONSTRAINT [FK_MiniCommerce_OrderTransactions_MiniCommerce_OrderTransactionTypes]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Transaction_MiniCommerce_Store_Order]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Transaction]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Transaction] DROP CONSTRAINT [FK_MiniCommerce_Store_Transaction_MiniCommerce_Store_Order]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_OrderItem_MiniCommerce_Store_Order]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_OrderItem]'))
ALTER TABLE [dbo].[MiniCommerce_Store_OrderItem] DROP CONSTRAINT [FK_MiniCommerce_Store_OrderItem_MiniCommerce_Store_Order]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Order_MiniCommerce_Store_OrderStatusDescriptor]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Order]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Order] DROP CONSTRAINT [FK_MiniCommerce_Store_Order_MiniCommerce_Store_OrderStatusDescriptor]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_aspnet_Roles_aspnet_Applications]') AND parent_object_id = OBJECT_ID(N'[dbo].[aspnet_Roles]'))
ALTER TABLE [dbo].[aspnet_Roles] DROP CONSTRAINT [FK_aspnet_Roles_aspnet_Applications]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_Categories_MiniCommerce_ProductCategories]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Category_Map]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Category_Map] DROP CONSTRAINT [FK_MiniCommerce_Products_Categories_MiniCommerce_ProductCategories]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_Categories_MiniCommerce_Products]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Category_Map]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Category_Map] DROP CONSTRAINT [FK_MiniCommerce_Products_Categories_MiniCommerce_Products]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Attribute_MiniCommerce_Store_AttributeType]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Attribute]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Attribute] DROP CONSTRAINT [FK_MiniCommerce_Store_Attribute_MiniCommerce_Store_AttributeType]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_aspnet_Membership_aspnet_Applications]') AND parent_object_id = OBJECT_ID(N'[dbo].[aspnet_Membership]'))
ALTER TABLE [dbo].[aspnet_Membership] DROP CONSTRAINT [FK_aspnet_Membership_aspnet_Applications]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_aspnet_Membership_aspnet_Users]') AND parent_object_id = OBJECT_ID(N'[dbo].[aspnet_Membership]'))
ALTER TABLE [dbo].[aspnet_Membership] DROP CONSTRAINT [FK_aspnet_Membership_aspnet_Users]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_aspnet_PersonalizationPerUser_aspnet_Paths]') AND parent_object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationPerUser]'))
ALTER TABLE [dbo].[aspnet_PersonalizationPerUser] DROP CONSTRAINT [FK_aspnet_PersonalizationPerUser_aspnet_Paths]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_aspnet_PersonalizationPerUser_aspnet_Users]') AND parent_object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationPerUser]'))
ALTER TABLE [dbo].[aspnet_PersonalizationPerUser] DROP CONSTRAINT [FK_aspnet_PersonalizationPerUser_aspnet_Users]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_aspnet_Profile_aspnet_Users]') AND parent_object_id = OBJECT_ID(N'[dbo].[aspnet_Profile]'))
ALTER TABLE [dbo].[aspnet_Profile] DROP CONSTRAINT [FK_aspnet_Profile_aspnet_Users]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_aspnet_UsersInRoles_aspnet_Roles]') AND parent_object_id = OBJECT_ID(N'[dbo].[aspnet_UsersInRoles]'))
ALTER TABLE [dbo].[aspnet_UsersInRoles] DROP CONSTRAINT [FK_aspnet_UsersInRoles_aspnet_Roles]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_aspnet_UsersInRoles_aspnet_Users]') AND parent_object_id = OBJECT_ID(N'[dbo].[aspnet_UsersInRoles]'))
ALTER TABLE [dbo].[aspnet_UsersInRoles] DROP CONSTRAINT [FK_aspnet_UsersInRoles_aspnet_Users]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_aspnet_PersonalizationAllUsers_aspnet_Paths]') AND parent_object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationAllUsers]'))
ALTER TABLE [dbo].[aspnet_PersonalizationAllUsers] DROP CONSTRAINT [FK_aspnet_PersonalizationAllUsers_aspnet_Paths]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Product_Attribute_Map_MiniCommerce_Store_Attribute]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Attribute_Map]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Attribute_Map] DROP CONSTRAINT [FK_MiniCommerce_Store_Product_Attribute_Map_MiniCommerce_Store_Attribute]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Store_Product_Attribute_Map_MiniCommerce_Store_Product]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Attribute_Map]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product_Attribute_Map] DROP CONSTRAINT [FK_MiniCommerce_Store_Product_Attribute_Map_MiniCommerce_Store_Product]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Promo_Product_CrossSell_Map_MiniCommerce_Store_Product]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_CrossSell]'))
ALTER TABLE [dbo].[MiniCommerce_Store_CrossSell] DROP CONSTRAINT [FK_MiniCommerce_Promo_Product_CrossSell_Map_MiniCommerce_Store_Product]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Promo_Product_CrossSell_Map_MiniCommerce_Store_Product1]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_CrossSell]'))
ALTER TABLE [dbo].[MiniCommerce_Store_CrossSell] DROP CONSTRAINT [FK_MiniCommerce_Promo_Product_CrossSell_Map_MiniCommerce_Store_Product1]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_MiniCommerce_Manufacturers]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product] DROP CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_Manufacturers]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_MiniCommerce_ProductStatus]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product] DROP CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_ProductStatus]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_MiniCommerce_ProductType]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product] DROP CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_ProductType]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_MiniCommerce_Products_MiniCommerce_ShipEstimates]') AND parent_object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product]'))
ALTER TABLE [dbo].[MiniCommerce_Store_Product] DROP CONSTRAINT [FK_MiniCommerce_Products_MiniCommerce_ShipEstimates]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_aspnet_Users_aspnet_Applications]') AND parent_object_id = OBJECT_ID(N'[dbo].[aspnet_Users]'))
ALTER TABLE [dbo].[aspnet_Users] DROP CONSTRAINT [FK_aspnet_Users_aspnet_Applications]
GO
IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_aspnet_Paths_aspnet_Applications]') AND parent_object_id = OBJECT_ID(N'[dbo].[aspnet_Paths]'))
ALTER TABLE [dbo].[aspnet_Paths] DROP CONSTRAINT [FK_aspnet_Paths_aspnet_Applications]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Image]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Image]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Roles_CreateRole]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Roles_CreateRole]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Review]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Review]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Core_ConfigurationData]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Core_ConfigurationData]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Page]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Page]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Descriptor]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Descriptor]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Sku]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Sku]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Setup_RemoveAllRoleMembers]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Setup_RemoveAllRoleMembers]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationAdministration_FindState]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_PersonalizationAdministration_FindState]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchAllProductsByCategoryId]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchAllProductsByCategoryId]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_RegionCode_Tax_Rate]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_RegionCode_Tax_Rate]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_ProductSearch]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_ProductSearch]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchBrowsingLogSearchTerms]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchBrowsingLogSearchTerms]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Core_Country]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Core_Country]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Core_FetchAllLogs]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Core_FetchAllLogs]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Provider]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Provider]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_AttributeItem]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_AttributeItem]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_UpdateUserInfo]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_UpdateUserInfo]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_UnlockUser]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_UnlockUser]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_SimpleWeight_Shipping_Rate]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_SimpleWeight_Shipping_Rate]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_AnyDataInTables]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_AnyDataInTables]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_ResetPassword]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_ResetPassword]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_GetUserByEmail]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_GetUserByEmail]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_ChangePasswordQuestionAndAnswer]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_ChangePasswordQuestionAndAnswer]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Profile_DeleteProfiles]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Profile_DeleteProfiles]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_UpdateUser]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_UpdateUser]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Coupon]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Coupon]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_SetPassword]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_SetPassword]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_GetUserByName]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_GetUserByName]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Users_DeleteUser]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Users_DeleteUser]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Notification]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Notification]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_GetPasswordWithFormat]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_GetPasswordWithFormat]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_GetNumberOfUsersOnline]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_GetNumberOfUsersOnline]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_GetPassword]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_GetPassword]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchCategoryBrowsingLog]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchCategoryBrowsingLog]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchProductBrowsingLog]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchProductBrowsingLog]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchFavoriteCategories]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchFavoriteCategories]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Setup_RestorePermissions]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Setup_RestorePermissions]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Currency]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Currency]
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_aspnet_MembershipUsers]'))
DROP VIEW [dbo].[vw_aspnet_MembershipUsers]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_GetUserByUserId]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_GetUserByUserId]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_UsersInRoles_FindUsersInRole]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_UsersInRoles_FindUsersInRole]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_UsersInRoles_GetUsersInRoles]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_UsersInRoles_GetUsersInRoles]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_UsersInRoles_AddUsersToRoles]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_UsersInRoles_AddUsersToRoles]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Profile_GetProperties]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Profile_GetProperties]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Profile_DeleteInactiveProfiles]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Profile_DeleteInactiveProfiles]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Profile_GetNumberOfInactiveProfiles]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Profile_GetNumberOfInactiveProfiles]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Roles_DeleteRole]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Roles_DeleteRole]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_GetAllUsers]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_GetAllUsers]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Roles_RoleExists]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Roles_RoleExists]
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_aspnet_Applications]'))
DROP VIEW [dbo].[vw_aspnet_Applications]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_UsersInRoles_RemoveUsersFromRoles]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_UsersInRoles_RemoveUsersFromRoles]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_UsersInRoles_IsUserInRole]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_UsersInRoles_IsUserInRole]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_UsersInRoles_GetRolesForUser]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_UsersInRoles_GetRolesForUser]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_FindUsersByEmail]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_FindUsersByEmail]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Profile_GetProfiles]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Profile_GetProfiles]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_FindUsersByName]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_FindUsersByName]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Roles_GetAllRoles]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Roles_GetAllRoles]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_CheckSchemaVersion]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_CheckSchemaVersion]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_RegisterSchemaVersion]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_RegisterSchemaVersion]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_UnRegisterSchemaVersion]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_UnRegisterSchemaVersion]
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_aspnet_Profiles]'))
DROP VIEW [dbo].[vw_aspnet_Profiles]
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_aspnet_UsersInRoles]'))
DROP VIEW [dbo].[vw_aspnet_UsersInRoles]
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_aspnet_WebPartState_User]'))
DROP VIEW [dbo].[vw_aspnet_WebPartState_User]
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_aspnet_WebPartState_Shared]'))
DROP VIEW [dbo].[vw_aspnet_WebPartState_Shared]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_WebEvent_LogEvent]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_WebEvent_LogEvent]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchAssociatedAttributesByProductId]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchAssociatedAttributesByProductId]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchAvailableAttributesByProductId]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchAvailableAttributesByProductId]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchAssociatedCategoriesByProductId]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchAssociatedCategoriesByProductId]
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_aspnet_Roles]'))
DROP VIEW [dbo].[vw_aspnet_Roles]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Core_Insert_Log]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Core_Insert_Log]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchCategoryBreadCrumbs]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchCategoryBreadCrumbs]
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_aspnet_WebPartState_Paths]'))
DROP VIEW [dbo].[vw_aspnet_WebPartState_Paths]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Core_DeleteAllLogs]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Core_DeleteAllLogs]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership_CreateUser]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Membership_CreateUser]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchMostPopularProducts]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchMostPopularProducts]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchFavoriteProducts]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchFavoriteProducts]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchProductCrossSells]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchProductCrossSells]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchRandomProducts]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchRandomProducts]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchProductsByCategoryIdAndManufacturerId]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchProductsByCategoryIdAndManufacturerId]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchProductsByCategoryId]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchProductsByCategoryId]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchProductsByCategoryIdAndPriceRange]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchProductsByCategoryIdAndPriceRange]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_OrderNote]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_OrderNote]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchCategoryPriceRanges]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchCategoryPriceRanges]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_FetchCategoryManufacturers]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[MiniCommerce_Store_FetchCategoryManufacturers]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Profile_SetProperties]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Profile_SetProperties]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationAdministration_ResetUserState]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_PersonalizationAdministration_ResetUserState]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Transaction]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Transaction]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationAdministration_DeleteAllState]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_PersonalizationAdministration_DeleteAllState]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationPerUser_ResetPageSettings]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_PersonalizationPerUser_ResetPageSettings]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationAdministration_GetCountOfState]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_PersonalizationAdministration_GetCountOfState]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationPerUser_SetPageSettings]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_PersonalizationPerUser_SetPageSettings]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_ProductRating]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_ProductRating]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationPerUser_GetPageSettings]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_PersonalizationPerUser_GetPageSettings]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationAllUsers_GetPageSettings]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_PersonalizationAllUsers_GetPageSettings]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationAllUsers_SetPageSettings]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_PersonalizationAllUsers_SetPageSettings]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_OrderItem]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_OrderItem]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationAdministration_ResetSharedState]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_PersonalizationAdministration_ResetSharedState]
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_aspnet_Users]'))
DROP VIEW [dbo].[vw_aspnet_Users]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationAllUsers_ResetPageSettings]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_PersonalizationAllUsers_ResetPageSettings]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_OrderStatusDescriptor]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_OrderStatusDescriptor]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_ProductStatusDescriptor]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_ProductStatusDescriptor]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_ShippingEstimate]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_ShippingEstimate]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_ProductType]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_ProductType]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_AttributeType]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_AttributeType]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Order]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Order]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_TransactionTypeDescriptor]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_TransactionTypeDescriptor]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Roles]') AND type in (N'U'))
DROP TABLE [dbo].[aspnet_Roles]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Applications_CreateApplication]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Applications_CreateApplication]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[CategoryHierarchy]') AND type in (N'FN', N'IF', N'TF', N'FS', N'FT'))
DROP FUNCTION [dbo].[CategoryHierarchy]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Category_Map]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Product_Category_Map]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Attribute]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Attribute]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Browsing_Log]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Browsing_Log]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Core_Log]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Core_Log]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Membership]') AND type in (N'U'))
DROP TABLE [dbo].[aspnet_Membership]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationPerUser]') AND type in (N'U'))
DROP TABLE [dbo].[aspnet_PersonalizationPerUser]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_WebEvent_Events]') AND type in (N'U'))
DROP TABLE [dbo].[aspnet_WebEvent_Events]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Profile]') AND type in (N'U'))
DROP TABLE [dbo].[aspnet_Profile]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_UsersInRoles]') AND type in (N'U'))
DROP TABLE [dbo].[aspnet_UsersInRoles]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Manufacturer]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Manufacturer]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_SchemaVersions]') AND type in (N'U'))
DROP TABLE [dbo].[aspnet_SchemaVersions]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_PersonalizationAllUsers]') AND type in (N'U'))
DROP TABLE [dbo].[aspnet_PersonalizationAllUsers]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product_Attribute_Map]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Product_Attribute_Map]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Users_CreateUser]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Users_CreateUser]
GO
IF  EXISTS (SELECT * FROM sys.views WHERE object_id = OBJECT_ID(N'[dbo].[vw_MiniCommerce_NotInActiveAndLocked_Products]'))
DROP VIEW [dbo].[vw_MiniCommerce_NotInActiveAndLocked_Products]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_CrossSell]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_CrossSell]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Personalization_GetApplicationId]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Personalization_GetApplicationId]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Paths_CreatePath]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[aspnet_Paths_CreatePath]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Product]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Product]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[MiniCommerce_Store_Category]') AND type in (N'U'))
DROP TABLE [dbo].[MiniCommerce_Store_Category]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Users]') AND type in (N'U'))
DROP TABLE [dbo].[aspnet_Users]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Paths]') AND type in (N'U'))
DROP TABLE [dbo].[aspnet_Paths]
GO
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[aspnet_Applications]') AND type in (N'U'))
DROP TABLE [dbo].[aspnet_Applications]
GO
