

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Localization;
using SubSonic.Utilities;

namespace JTC.MiniCommerce.Web {
  public partial class modal : System.Web.UI.Page {

    #region Member Variables

    bool isException = false;

    #endregion

    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
      isException = bool.TryParse(Utility.GetParameter("isEx"), out isException);
      if(isException) {
        Page.Title = LocalizationUtility.GetText("titleModalError");
        pnlException.Visible = true;
        LocalizationUtility.AddLabelText(lblErrorMessage);
      }
    }

    #endregion

  }
}
