<%@ Page Language="C#" MasterPageFile="~/site.master" AutoEventWireup="true" CodeBehind="paypalcheckout.aspx.cs" Inherits="JTC.MiniCommerce.Web.paypalcheckout" Title="Untitled Page" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="MiniCommerce" TagName="Navigation" Src="~/controls/navigation/storenavigation.ascx" %>
<%@ Register TagPrefix="MiniCommerce" TagName="AddressDisplay" Src="~/controls/addressdisplay.ascx" %>
<%@ Register TagPrefix="MiniCommerce" TagName="ShippingAddress" Src="~/controls/address.ascx" %>
<%@ Register TagPrefix="MiniCommerce" TagName="OrderSummary" Src="~/controls/ordersummary.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
  <script language="javascript" type="text/javascript">
    var prm = Sys.WebForms.PageRequestManager.getInstance();
    prm.add_initializeRequest(InitializeRequest);
    prm.add_endRequest(EndRequest);
    
    var trigger;
    
    function InitializeRequest(sender, args){
      trigger = args.get_postBackElement().id;
    }
    
    function EndRequest(sender, args) {
      if(args.get_error() != undefined) {
        var errorMessage = args.get_error().message;
        args.set_errorHandled(true);
        var btnProcessOrder = document.getElementById("<%= btnProcessOrder.ClientID %>");
        if(btnProcessOrder != null) {
          if(btnProcessOrder.disabled) {
            btnProcessOrder.disabled = false;
          }
        }
        showPopWin("modal.aspx?isEx=true", 450, 150, null, true);
      }
      else {
        switch(trigger){
          case "<%= btnShippingAddress.ClientID %>":
            changeIndex();
            changeCollapse("<%= cpeShippingAddressDisplay.ID %>");
            break;
          case "<%= btnShippingMethod.ClientID %>":
            changeIndex();
            changeCollapse("<%= cpeShippingMethodDisplay.ID %>");
            break;
          case "<%= btnCoupon.ClientID %>":
            changeIndex();
            changeCollapse("<%= cpeCouponInformationDisplay.ID %>");
            break;
        }
      }
    }

    function changeIndex() {
      //TODO: CMC - try/catch
      var accHost = $find('<%= acCheckout.ClientID %>_AccordionExtender');
      var i = accHost.get_SelectedIndex() + 1;
      accHost.set_SelectedIndex(i);
    }
    
    function changeCollapse(thename){
      //TODO: CMC - try/catch
      $find(thename).set_Collapsed(false);
    }
    
  </script>
  <div id="threeColumnLeftContent">
    <MiniCommerce:Navigation ID="leftNavigation" runat="server" />
  </div>
  <asp:UpdateProgress ID="upDisplay" runat="server" DynamicLayout="true" AssociatedUpdatePanelID="upCheckout" DisplayAfter="100" />
  <asp:UpdatePanel ID="upCheckout" runat="server">
    <ContentTemplate>  
      <div id="threeColumnRightContent">
        <asp:Panel ID="pnlShippingAddressDisplayTitle" runat="server" CssClass="accordionHeader">
          <asp:Label ID="lblShippingAddressTitle" runat="server" />
        </asp:Panel>
        <span />
        <asp:Panel ID="pnlShippingAddressDisplay" runat="server" CssClass="checkoutRightPanel">
          <MiniCommerce:AddressDisplay ID="shippingAddressDisplay" runat="server" />
        </asp:Panel>
        <asp:Panel ID="pnlShippingMethodDisplayTitle" runat="server" CssClass="accordionHeader">
          <asp:Label ID="lblShippingMethodTitle" runat="server" />
        </asp:Panel>
        <span />
        <asp:Panel ID="pnlShippingMethodDisplay" runat="server" CssClass="checkoutRightPanel">
          <asp:Label ID="lblShippingMethodDisplay" runat="server" />
        </asp:Panel>
        <asp:Panel ID="pnlCouponInformationDisplayTitle" runat="server" CssClass="accordionHeader">
          <asp:Label ID="lblCouponInformationTitle" runat="server" />
        </asp:Panel>
        <span />
        <asp:Panel ID="pnlCouponInformationDisplay" runat="server" CssClass="checkoutRightPanel">
          <asp:Label ID="lblCouponInformationDisplay" runat="server" />
        </asp:Panel>
        
        <asp:CollapsiblePanelExtender  ID="cpeShippingAddressDisplay" BehaviorID="cpeShippingAddressDisplay" runat="server" TargetControlID="pnlShippingAddressDisplay" ExpandControlID="pnlShippingAddressDisplayTitle" CollapseControlID="pnlShippingAddressDisplayTitle" ExpandDirection="Vertical" Collapsed="true" CollapsedSize="0" AutoExpand="false" />
        <asp:CollapsiblePanelExtender  ID="cpeShippingMethodDisplay" BehaviorID="cpeShippingMethodDisplay" runat="server" TargetControlID="pnlShippingMethodDisplay" ExpandControlID="pnlShippingMethodDisplayTitle" CollapseControlID="pnlShippingMethodDisplayTitle" ExpandDirection="Vertical" Collapsed="true" CollapsedSize="0" AutoExpand="false" />
        <asp:CollapsiblePanelExtender  ID="cpeCouponInformationDisplay" BehaviorID="cpeCouponInformationDisplay" runat="server" TargetControlID="pnlCouponInformationDisplay" ExpandControlID="pnlCouponInformationDisplayTitle" CollapseControlID="pnlCouponInformationDisplayTitle" ExpandDirection="Vertical" Collapsed="true" CollapsedSize="0" AutoExpand="false" />
        
      </div>
      <div id="threeColumnMainContent">
        <asp:Accordion ID="acCheckout" runat="server" FadeTransitions="true" TransitionDuration="750" FramesPerSecond="50" 
            RequireOpenedPane="true" HeaderCssClass="accordionHeader" ContentCssClass="accordionContent" Width="100%">
          <Panes>
            <asp:AccordionPane ID="acpShippingAddress" runat="server">
              <Header>
                <asp:Label ID="lblShippingInformation" runat="server" />
              </Header>
              <Content>
                <MiniCommerce:ShippingAddress ID="shippingAddress" runat="server" AddressType="ShippingAddress" />
                <br />
                <div class="rightAlign">
                  <asp:Button ID="btnShippingAddress" runat="server" CssClass="button" OnClick="btnShippingAddress_Click" />
                </div>
              </Content>
            </asp:AccordionPane>
            <asp:AccordionPane ID="acpShippingMethod" runat="server">
              <Header>
                <asp:Label ID="lblShippingMethod" runat="server" />
              </Header>
              <Content>
                <asp:RadioButtonList ID="rblShippingOptions" runat="server" CssClass="label" />
                <hr />
                <div class="rightAlign">
                  <asp:Button ID="btnShippingMethod" runat="server" CssClass="button" OnClick="btnShippingMethod_Click" />
                </div>
              </Content>
            </asp:AccordionPane>
            <asp:AccordionPane ID="acpCoupon" runat="server">
              <Header>
                <asp:Label ID="lblCouponInformation" runat="server" />
              </Header>
              <Content>
                <asp:Label ID="lblCouponCode" runat="server" CssClass="label" /><br />
                <asp:TextBox ID="txtCouponCode" runat="server" CssClass="textbox" />
                <hr />
                <div class="rightAlign">
                <asp:Button ID="btnCoupon" runat="server" CssClass="button" OnClick="btnCoupon_Click" />
                </div>
              </Content>
            </asp:AccordionPane>
            <asp:AccordionPane ID="acpOrderReview" runat="server">
              <Header>
                <asp:Label ID="lblOrderReview" runat="server" />
              </Header>
              <Content>
                <MiniCommerce:OrderSummary ID="orderSummary" runat="server" IsEditable="false" />
                <hr />
                <div class="rightAlign">
                  <asp:Button ID="btnProcessOrder" runat="server" CssClass="button" OnClick="btnProcessOrder_Click" />
                </div>
              </Content>
            </asp:AccordionPane>        
          </Panes>
        </asp:Accordion>
      </div>
    </ContentTemplate>
  </asp:UpdatePanel>
</asp:Content>
