

using System;
using System.Collections.Generic;
using System.Text;

using System.Data;

namespace JTC.MiniCommerce.Store {
  
  public partial class BrowsingLogController {
  
    #region Methods
    
    #region Public

    /// <summary>
    /// Fetches the category browsing log.
    /// </summary>
    /// <returns></returns>
    public DataSet FetchCategoryBrowsingLog() {
      DataSet ds = SPs.FetchCategoryBrowsingLog().GetDataSet();
      return ds;
    }

    /// <summary>
    /// Fetches the product browsing log.
    /// </summary>
    /// <returns></returns>
    public DataSet FetchProductBrowsingLog() {
      DataSet ds = SPs.FetchProductBrowsingLog().GetDataSet();
      return ds;
    }

    /// <summary>
    /// Fetches the browsing log search terms.
    /// </summary>
    /// <returns></returns>
    public DataSet FetchBrowsingLogSearchTerms() {
      DataSet ds = SPs.FetchBrowsingLogSearchTerms().GetDataSet();
      return ds;
    }
    
    #endregion
    
    #endregion
    
  }
}
