

using System;
using System.Collections.Generic;
using System.Text;

using SubSonic;

namespace JTC.MiniCommerce.Store {
  public partial class OrderNoteController {
  
    #region Methods
    
    #region Public

    /// <summary>
    /// Fetches the OrderNoteCollection by order id.
    /// </summary>
    /// <param name="orderId">The order id.</param>
    /// <returns></returns>
    public OrderNoteCollection FetchByOrderId (int orderId) {
      Query query = new Query(OrderNote.Schema).AddWhere(OrderNote.Columns.OrderId, orderId);
      OrderNoteCollection orderNoteCollection = new OrderNoteController().FetchByQuery(query);
      return orderNoteCollection;
    }
    
    #endregion
    
    #endregion
    
  }
}
