

using System;
using System.Collections.Generic;
using System.Text;


namespace JTC.MiniCommerce.Store.Web {
  public class SiteMasterPage : MiniCommerceMasterPage {

    #region Member Variables
    
    private SiteSettings _siteSettings;
    
    #endregion
    
    #region Properties

    /// <summary>
    /// Gets the site settings.
    /// </summary>
    /// <value>The site settings.</value>
    public SiteSettings SiteSettings {
      get {
        if (_siteSettings == null) {
          _siteSettings = SiteSettings.Load();
          if(_siteSettings == null) {
            _siteSettings = new SiteSettings();
          }
        }
        return _siteSettings;
      }
    }
    
    #endregion

  }
}
