<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="images.ascx.cs" Inherits="JTC.MiniCommerce.Web.admin.controls.product.images" %>
<asp:Panel ID="pnlProductImages" runat="server">
  <asp:Panel ID="pnlImageManagement" runat="server">
    <asp:Label ID="lblImageId" runat="server" Visible="false" />
    <asp:Label ID="lblImageFile" runat="server" CssClass="label" /><br />
    <asp:TextBox ID="txtImageFile" runat="server" CssClass="longtextbox" />&nbsp;<asp:HyperLink ID="hlImageSelector" runat="server" CssClass="submodal-800-355" Text=". . ." />&nbsp;<asp:HyperLink ID="hlImageFileHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image1" runat="server" SkinID="help" /></asp:HyperLink><br /><br />
    <div class="verticalalign">
      <asp:Label ID="lblImageCaption" runat="server" CssClass="label" />&nbsp;<asp:HyperLink ID="hlImageCaptionHelp" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="Image2" runat="server" SkinID="help" /></asp:HyperLink><br />
    </div>
    <asp:TextBox ID="txtImageCaption" runat="server" TextMode="MultiLine" CssClass="multilinetextbox" /><br /><br />
    <asp:Button ID="btnSave" runat="server" CssClass="button" OnClick="btnSave_Click" />
  </asp:Panel>
  <br />
  <asp:Panel ID="pnlImages" runat="server">
    <asp:DataGrid ID="dgProductImages" runat="server" AutoGenerateColumns="false" SkinID="adminDataGrid">
	      <Columns>
	        <asp:TemplateColumn>
            <ItemTemplate>
              <asp:LinkButton ID="lbEdit" runat="server" CausesValidation="false" CommandName="Edit" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ImageId") %>' OnCommand="lbEdit_Click" />
            </ItemTemplate>
          </asp:TemplateColumn>
	        <asp:TemplateColumn>
            <ItemTemplate>
              <asp:ImageButton ID="lbUp" runat="server" CausesValidation="false" CommandName="Up" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ImageId") %>' OnClick="Items_ItemReorder" SkinID="up" /> 
              <asp:ImageButton ID="lbDown" runat="server" CausesValidation="false" CommandName="Down" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ImageId") %>' OnClick="Items_ItemReorder" SkinID="down" />
            </ItemTemplate>
          </asp:TemplateColumn>
	        <asp:BoundColumn DataField="SortOrder" ItemStyle-HorizontalAlign="center" />
	        <asp:TemplateColumn>
	          <ItemTemplate>
	            <asp:HyperLink ID="hlImage" runat="server" NavigateUrl="javascript:void(0);"><asp:Image ID="productImage" runat="server" ImageUrl='<%# Eval("ImageFile") %>'  /></asp:HyperLink>
	          </ItemTemplate>
	        </asp:TemplateColumn>
	        <asp:BoundColumn DataField="Caption" />
	        <asp:TemplateColumn>
	          <ItemTemplate>
              <asp:LinkButton ID="lbDelete" runat="server" CausesValidation="false" CommandName="Delete" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ImageId") %>' OnCommand="lbDelete_Click" />
	          </ItemTemplate>
	        </asp:TemplateColumn>
	      </Columns>
	  </asp:DataGrid>
  </asp:Panel>
</asp:Panel>