<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="reviews.ascx.cs" Inherits="JTC.MiniCommerce.Web.admin.controls.product.reviews" %>
<asp:Panel ID="pnlProductReviews" runat="server">
  <asp:Panel ID="pnlGrid" runat="server">
    <asp:DataGrid ID="dgReviews" runat="server" AutoGenerateColumns="false" SkinID="adminDataGrid">
      <Columns>
        <asp:TemplateColumn>
          <ItemTemplate>
            <asp:LinkButton ID="lbEdit" runat="server" CommandName="Edit" CommandArgument='<%# Eval("ReviewId") %>' OnCommand="lbEdit_Click" />
          </ItemTemplate>
        </asp:TemplateColumn>  
        <asp:TemplateColumn>
          <ItemTemplate>
            <asp:Label ID="lblApproved" runat="server" Text='<%# Eval("IsApproved") %>' />
          </ItemTemplate>
        </asp:TemplateColumn>
        <asp:BoundColumn DataField="Title" />
        <asp:TemplateColumn>
          <ItemTemplate>
            <asp:Label ID="lblBody" runat="server" Text='<%# GetBodySample(Eval("Body").ToString()) %>' />
          </ItemTemplate>
        </asp:TemplateColumn>
        <asp:BoundColumn DataField="CreatedBy" />
        <asp:BoundColumn DataField="CreatedOn" />    
      </Columns>
    </asp:DataGrid>
  </asp:Panel><br />
  <asp:Panel ID="pnlReview" runat="server" Visible="false">
    <asp:Label ID="lblReviewId" runat="server" Visible="false" />
    <asp:Label ID="lblTitle" runat="server" CssClass="label" /><br />
    <asp:TextBox ID="txtTitle" runat="server" CssClass="textbox" Enabled="false" /><br /><br />
    <asp:Label ID="lblReview" runat="server" CssClass="label" /><br />
    <div id="txtReview" runat="server" style="overflow:auto;width:50%;height:105px;" />
    <asp:Label ID="lblRating" runat="server" CssClass="label" /><br />
    <asp:Label ID="lblRatingText" runat="server" CssClass="label" /><br /><br />
    <asp:Label ID="lblIsApproved" runat="server" CssClass="label" /><br />
    <asp:CheckBox ID="chkIsApproved" runat="server" /><br /><br />
    <asp:Button ID="btnSave" runat="server" CssClass="button" OnClick="btnSave_Click" />
  </asp:Panel>
</asp:Panel>
