<%@ Page Language="C#" MasterPageFile="~/site.master" AutoEventWireup="true" CodeBehind="cart.aspx.cs" Inherits="JTC.MiniCommerce.Web.cart" Title="Untitled Page" %>
<%@ MasterType VirtualPath="~/site.master" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register TagPrefix="MiniCommerce" TagName="Navigation" Src="~/controls/navigation/storenavigation.ascx" %>
<%@ Register TagPrefix="MiniCommerce" TagName="CatalogList" Src="~/controls/catalogList.ascx" %>
<%@ Register TagPrefix="MiniCommerce" TagName="OrderSummary" Src="~/controls/ordersummary.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
  <div id="threeColumnLeftContent">
    <MiniCommerce:Navigation ID="navigation" runat="server" />
  </div>
  <div id="threeColumnRightContent">
  </div>
  <div id="threeColumnMainContent">
  <asp:Panel ID="pnlCart" runat="server">
    <table class="cartSubTotal">
      <tr>
        <td class="itemName"><asp:LinkButton ID="btnCheckout" runat="server" Text="Proceed To Checkout" OnClick="btnCheckout_Click" /></td>
        <td class="subTotal"><asp:Label ID="lblSubTotalTop" runat="server" /></td>
        <td class="subTotalAmount"><asp:Label ID="lblSubTotalAmountTop" runat="server" /></td>
      </tr>
    </table>
    <br />
    <asp:LinkButton ID="lbUpdate" runat="server" CssClass="button" OnClick="lbUpdate_Click" />
    <br />
    <br />
    <MiniCommerce:OrderSummary ID="orderSummary" runat="server" IsEditable="true" />
    <hr />
    <asp:Panel ID="pnlExpressCheckout" runat="server" Visible="false">
      <asp:ImageButton ID="imgPayPal" runat="server" ImageUrl="https://www.paypal.com/en_US/i/btn/btn_xpressCheckout.gif" OnClick="imgPayPal_Click" CausesValidation="False" />
    </asp:Panel>
  </asp:Panel>
  <asp:Panel ID="pnlNoCart" runat="server">
    <asp:Label ID="lblNoCart" runat="server" CssClass="label" /><br /><br />
    <hr />
    <MiniCommerce:CatalogList ID="catalogList" runat="server" />
  </asp:Panel>
  </div>
</asp:Content>
