

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Core;
using JTC.MiniCommerce.Localization;
using SubSonic.Utilities;

namespace JTC.MiniCommerce.Web.controls.navigation {
  public partial class review : System.Web.UI.UserControl {

    #region Member Variables

    private int productId = 0;

    #endregion

    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
      try {
        productId = Utility.GetIntParameter("pid");
        if (productId > 0) {
          LocalizationUtility.AddPanelText(pnlReview);
          LocalizationUtility.AddHyperLinkText(hlReview);
          hlReview.NavigateUrl = string.Format("~/review.aspx?pid={0}", productId);
        }
      }
      catch (Exception ex) {
        Logger.Error(typeof(favoriteproducts).Name + "Page_Load", ex);
      }
    }

    #endregion

  }
}