<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ordersummary.ascx.cs" Inherits="JTC.MiniCommerce.Web.controls.ordersummary" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<div class="controlHeader"><asp:Label ID="lblOrderSummary" runat="server" /></div>
<br />
<table border="0" class="orderSummaryTable">
  <tr><th class="itemSku"><asp:Label ID="lblItemSku" runat="server" /></th><th class="itemName"><asp:Label ID="lblItem" runat="server" /></th><th class="itemQuantity"><asp:Label ID="lblQuantity" runat="server" /></th><th class="itemAmount"><asp:Label ID="lblPrice" runat="server" /></th><th class="extendedAmount"><asp:Label ID="lblExtendedAmount" runat="server" /></th></tr>
    <asp:Repeater ID="rptrCart" runat="server">
      <ItemTemplate>
        <tr><td class="itemSku"><asp:Label ID="lblSku" runat="server" Text='<%# Eval("Sku") %>' /></td>
            <td class="itemName"><asp:Label ID="lblOrderItemId" runat="server" Visible="false" Text='<%# Eval("OrderItemId") %>' />
                                 <asp:Label ID="lblName" runat="server" Text='<%# Eval("Name") %>' /><br />
                                 <asp:Label ID="lblAttributes" runat="server" Text='<%# Eval("Attributes") %>' /><br /><br /></td>
            <td class="itemQuantity"><asp:TextBox ID="txtQuantity" runat="server" Text='<%# Eval("Quantity") %>' CssClass="quantitytextbox" /><asp:FilteredTextBoxExtender ID="ftbeQuantity" runat="server" TargetControlId="txtQuantity" FilterType="Numbers" /></td>
            <td class="itemAmount"><%# GetFormattedAmount(Eval("PricePaid").ToString()) %></td>
            <td class="extendedAmount"><%# GetFormattedAmount(Eval("ExtendedPrice").ToString()) %></td>
            <% if(IsEditable) { //TODO: Get this logic out of here%>
            <td class="editArea"><asp:LinkButton ID="lbDelete" runat="server" CommandArgument='<%# Eval("OrderItemId") %>' Text='<%# GetDeleteText() %>' CssClass="button" OnCommand="lbDelete_Click" /></td>
            <%} %>
        </tr>
      </ItemTemplate>
    </asp:Repeater>
  <tr><td colspan="4" class="subTotal"><asp:Label ID="lblSubTotal" runat="server" /></td><td class="subTotalAmount"><asp:Label ID="lblSubTotalAmount" runat="server" /></td></tr>
  <tr><td colspan="4" class="subTotal"><asp:Label ID="lblTax" runat="server" /></td><td class="subTotalAmount"><asp:Label ID="lblTaxAmount" runat="server" /></td></tr>
  <tr><td colspan="4" class="subTotal"><asp:Label ID="lblShipping" runat="server" /></td><td class="subTotalAmount"><asp:Label ID="lblShippingAmount" runat="server" /></td></tr>
  <tr><td colspan="4" class="subTotal"><asp:Label ID="lblCoupon" runat="server" /></td><td class="subTotalAmount"><asp:Label ID="lblCouponAmount" runat="server" /></td></tr>
  <tr><td colspan="4" class="total"><asp:Label ID="lblTotal" runat="server" /></td><td class="totalAmount"><asp:Label ID="lblTotalAmount" runat="server" /></td></tr>
</table>
