

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Localization;
using SubSonic.Utilities;

namespace JTC.MiniCommerce.Web.install.controls {
  public partial class welcome : System.Web.UI.UserControl {
  
    private int step = 0;
    
    protected void Page_Load(object sender, EventArgs e) {
      step = Utility.GetIntParameter("step");
      
      LocalizationUtility.AddPanelText(pnlWelcome);
      LocalizationUtility.AddLabelText(lblWelcomeInstructions);
      LocalizationUtility.AddButtonText(btnNext);

    }
    
    protected void btnNext_Click(object sender, EventArgs e) {
      Response.Redirect(string.Format("~/install/install.aspx?step={0}", step + 1), true);
    }
  }
}