

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Store.Web;
using JTC.MiniCommerce.Localization;

namespace JTC.MiniCommerce.Web.install {
  public partial class install1 : AdminMasterPage {
  
    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
      LocalizationUtility.AddLabelText(lblSiteInstall);
      base.MessageCenter.Title = LocalizationUtility.GetText("pnlMessageCenter");
      divMessageCenter.Controls.Add(base.MessageCenter);

    }
    
    #endregion
    
  }
}
