EXEC sp_fulltext_database 'enable'
GO
CREATE FULLTEXT CATALOG MiniCommerce_Catalog 
GO

CREATE FULLTEXT INDEX ON [dbo].[MiniCommerce_Store_Product] KEY INDEX [PK_MiniCommerce_Products] ON [MiniCommerce_Catalog] WITH CHANGE_TRACKING AUTO
GO

ALTER FULLTEXT INDEX ON [dbo].[MiniCommerce_Store_Product] ADD ([Name] LANGUAGE 1033)
GO
ALTER FULLTEXT INDEX ON [dbo].[MiniCommerce_Store_Product] ADD (ShortDescription LANGUAGE 1033)
GO
ALTER FULLTEXT INDEX ON [dbo].[MiniCommerce_Store_Product] ADD (BaseSku LANGUAGE 1033)
GO
