

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using JTC.MiniCommerce.Localization;

namespace JTC.MiniCommerce.Web {
  public partial class login : System.Web.UI.Page {

    #region Page Events

    /// <summary>
    /// Handles the Load event of the Page control.
    /// </summary>
    /// <param name="sender">The source of the event.</param>
    /// <param name="e">The <see cref="T:System.EventArgs"/> instance containing the event data.</param>
    protected void Page_Load(object sender, EventArgs e) {
      SetLoginControlProperties();
    }

    #endregion

    #region Methods

    #region Private

    /// <summary>
    /// Sets the login control properties.
    /// </summary>
    private void SetLoginControlProperties() {
      llogin.UserNameLabelText = LocalizationUtility.GetText("lloginUserNameLabelText");
      llogin.PasswordLabelText = LocalizationUtility.GetText("lloginPasswordLabelText");
      llogin.TitleText = LocalizationUtility.GetText("lloginTitleText");
      llogin.PasswordRecoveryText = LocalizationUtility.GetText("lloginPasswordRecoveryText");
      llogin.CreateUserText = LocalizationUtility.GetText("lloginCreateUserText");
    }

    #endregion

    #endregion

  }
}
